GNU bug report logs - #33996
Icecat is missing fonts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia@HIDDEN; merged with #32835; dated Sun, 6 Jan 2019 10:32:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 32835 33996. Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33996 <at> debbugs.gnu.org:


Received: (at 33996) by debbugs.gnu.org; 6 Jan 2019 18:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 13:17:54 2019
Received: from localhost ([127.0.0.1]:48988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ggCzi-00037v-6y
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 13:17:54 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:48943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adfeno@HIDDEN>) id 1ggCzg-00037o-V7
 for 33996 <at> debbugs.gnu.org; Sun, 06 Jan 2019 13:17:53 -0500
Received: from [192.168.1.100] (unknown [181.221.141.160])
 (Authenticated sender: adfeno@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 915C1200004
 for <33996 <at> debbugs.gnu.org>; Sun,  6 Jan 2019 18:17:51 +0000 (UTC)
From: Adonay Felipe Nogueira <adfeno@HIDDEN>
Subject: bug#33996: Icecat is missing fonts
To: 33996 <at> debbugs.gnu.org
References: <334471577609b28e255decc46d0cd7f5@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=adfeno@HIDDEN; prefer-encrypt=mutual; keydata=
 xsPuBFSdo9IRDACmvQCvDZOHZ33gwVtn//XtEmnlcl1yR6j06qvh2E22aK3bmom1y6HfgAVq
 l+3R16sL27Y0cEeM12Xl2h1HrFiT3Hd/LGWNVC/osPAKrrs6bMRh3uUdOVWeVuM/7c6n5hvx
 PAkZ6s70w1+y1ilG19aEpezFybAb9oE7+qBLjKAZPgceHeOxUthdfqDDqc/oenCGVEQNvPzK
 jQVzE+NnB3KdbGNQKFjTuWutxHjMY61H06a824vMd4SU5ReHlDnhCfasJUYcT6ykijf5xeCU
 icLvLowZl3rCjzjxFxKGnfh/vT6LqMNlfLfTKMR8zmXKHXC+KJjQG3Ohl++7BTGxIrxZtAr6
 MKeNczQng0xJtGI/gSus+8Rt9GycMJ/TZh+CrMsRiWmleONsl2fYO5pd4P+hDcttVOmdI/dj
 H3yycUt5nzgezid+O2NzsjJNNAgDy9uxOLa01aBpaSR94IsYPCxaHh9rBo27v5L8lm2DZTmy
 CdTdJ/g7OETOSKGmrGywwmsBAO9f4sVideYrDJbEUcXkFSH19ctJYCgLHscWzpypGsQNC/9X
 iq7fMCS5kAkK/ZcsPeaI4VIDkFJAF22oJyCvJwLWpaQKXBLAFYcAltEHfjdgrrYlexlgQ7SX
 yX136hD8HJTe1oc2qHN/CXa+LDvxhhNLIgagKP13IIt8AS7U+3YsrCSgu1fjDpxoEP2+xXTS
 jjcDmnJIWv1oDjIp57OfpKokvHtEsMgXrZI4Ft3ftpzN6o/YWVQeJ7VBdVeKPkzukMfHu04q
 1O6TcfSVGLSjrSdTD8/0LcRmwEwgxRBbhp3kxmnUqV+/C/Cj1G2LurKBdqC/rGTSgR1TeQji
 rTDvV4aReZ8swQS8dGoO4CoxG3ZVz0nsLs7Nl/wRoIMXVo/yMd03LIySSJuATWD6+0LOL5PT
 gsIRYpBw3jcLTAwPsQd8M8CH9b07qGJ4roVkhEj3R09WeDmSSCLcyQERTzA3EskuaDF8qrRj
 q68/6kZwhsmssBzAH1PWnFpBAqEaoyQZUisoCffbQwM31oYt04Ng7JXqKHVE+ZchcujtijK5
 bPz9ARgL/11E5yq9Z9x+OIxVx1lhMadwH/ze2CrTUIMTo9ZAp8tBqDvXOr43FHPTYio0wycl
 /anW2D6+4Q49/gK8GQS4xWo/jZnCjOaVIPRbH+y/HE4eXBwKA9UKHpYdZuL2z1zFLYvZd/LT
 rX66q/+8YMETsu86e4J76lE0WhljWdseM4RFmKlPepSttgCS6iRcWZeuhpknqpOILBwNUtFA
 Dnqbe9y5ZQ8xETy4/nDMIeWmiHIhQ5bzm+dzOVwtqOpDpTvMzZbU3buBCsZFVrzxuXa66sJu
 W3fhc//cJ6GTlKz404tAuJrVr9q+uB4OOlkjoUYOIYnwwmKhZaqaUQDTpvK67QhWCZiDHJ/J
 bvuMCv/XCVh/1IdTbe518jVzfcYjlyxcSHFq8TxiGhJYaBFF4vPC9+vf7l2fQVhDzzpBqMVH
 5k9nGJXJ9M0mDO9e8O4CkV55YXzVQFVipiaGyd9DBKcWHAyprxj20MBkP0npXfGErkADCUEp
 1MpKt0p3U3BJkoi2Ms0uQWRvbmF5IEZlbGlwZSBOb2d1ZWlyYSA8YWRmZW5vQGh5cGVyYm9s
 YS5pbmZvPsJ6BBMRCAAiBQJZkFYUAhsDBgsJCAcDAgYVCAIJCgsEFgIDAQIeAQIXgAAKCRDI
 1uFSAe6docKxAQCAKQxT1MlVJyXdFC7sGFH00jlHeybp6qgOVfJvpqLPGgD+ITwpdjy3RD2c
 kuENzAKzvom8pnDrNW+oIIIYUaE5gMTOw00EVJ2j0hAQAPcu3bLnt0CqcF49mN0m7z13Fiqv
 wLRxJe2sEeduZl146rqyNdv4XmaCSdsbgThfw7sW60/J4Gyianv2uzm9E4DpnSh/Ie4LGqXC
 UALnIYhxeILOo8CvFW1hkF/AgZp0CNoXrP786Nh0rksHfwps0B7b6Vy/E0blioaijvUS2z3/
 DKY6CXb7D8wRi64qTMarLaifRzIR/pbX29uBB2McOeoswSFob/McMA7AHp3p+lttR5J8eLc3
 Ckj7OuJCY74XIAGq2B64RPmn617BD9ym83M3fcbEXgDBQtvLjznfKNzeMXOLXN/7/qKm1Sza
 5NpeAGDg0YvXg6qIi0iyJw4RVzdCiqacO+G3Am/Ge2XDKsuBgsEf1YjlENINGS/ZmqfZd0sH
 jCJHb/YOlEzVw8HVMzeES8aUOBDh+d2aWhYx30jXuFbMqvuOh4t7JZjBy8TQVuvVhIps0Qyu
 /YnNxKzZ2F9keaN854KRtcGxaD/wOGpgoAOlyhH+pXVTTl3GCMCHonJ6Sn+jNGa6+oX7HF8h
 wSevwzQ11WThTPmUTlPU96jN5kqE6qLKBo2msu2MxVQRo1kLlHCRfjvbNGf2iZXRKI+RARgv
 a+7NZPtYDs1Sg/zw7HgUowImT6JGcN0ZgAMqw/V2nALvW+Caq03GCNiWR2elB/jmhHR+3Brj
 18fsc25HAAMFEADViuPfdUqFHzmKgVdRH5A8NIZNTT/MMrYCqv5PAkEhnsXLXeHHV7a0cbfx
 3yf86Pv8XMtBItShUVQ9UPVvmFW3ew5cqCCUF5MzrbOXrrso+78yflYjbh55Sf1HelG11eBT
 xs2auCgMWVsxRjgk9sbzh0j+R9MCMXHw0H/x63BS+due6Z0PYlsgXxbtWxB0P7kiYekXn6xo
 MeJco9CbWufnWdK4J5WylILQPNwI8uwrj56TUmh3PFnC2UmUa+KQ9m5gWHOIybWYZf4TTXBi
 N6gvhUqN9IpGFaNG26sWWiOpEWAiVTwPE/lSB+yibouSfE3XLw1Q+FH7TqwmtVS6Kj+yC4Z7
 GlDcmqlQxJhBdXTEpTk0rA1Bs4okjqVoQRpLPYUFkhVA15jJGrewUJuUhL128gL2Ek0A14FW
 +zmi0Wi3tIrUQXovGy7eorIgq7M3/ri0ibbrS5jE4yfIZG/8nb1S/RX5JEwEaoe7izi+1GIi
 GkCRkzGT3VqG78ppH2166Bq9qDwGf3T/CmLMDNpxsc1qt857nz7RFBMM+dNs5h/Bh0t++i01
 JJd/ykqdfUL8nHRwDO1Fkz/R5wugeJ/dB0TcqpnArjtTc+KVN/lRYfltEc5j0DqvFRwk3Ztd
 5KocWrWD/MBAvZVYKzJ9Bov9FGRUIGDDTJyo5VVCSe1IeSYa9sJhBBgRCgAJBQJUnaPSAhsM
 AAoJEMjW4VIB7p2h7ewBAMBCaE8lh2MyK8PBZ2rOSEYIQNjxADPt9Mri7CLnZxtPAQCwCO+a
 x4WXJV0T1ZOOFa/esCB72RkEVZ7ArkTKQDnVng==
Message-ID: <5ec778ed-10a2-c8e8-95f3-1dcf956c99d2@HIDDEN>
Date: Sun, 6 Jan 2019 16:17:27 -0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Icedove/52.9.1
MIME-Version: 1.0
In-Reply-To: <334471577609b28e255decc46d0cd7f5@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="3N3O4qDmmkUuan3sgG7ySoM1iyr5lBTGx"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33996
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--3N3O4qDmmkUuan3sgG7ySoM1iyr5lBTGx
Content-Type: multipart/mixed; boundary="86zC3o7YOgqLMmRm0jkzpJnBvgZ5VgqXH";
 protected-headers="v1"
From: Adonay Felipe Nogueira <adfeno@HIDDEN>
To: 33996 <at> debbugs.gnu.org
Message-ID: <5ec778ed-10a2-c8e8-95f3-1dcf956c99d2@HIDDEN>
Subject: bug#33996: Icecat is missing fonts
References: <334471577609b28e255decc46d0cd7f5@HIDDEN>
In-Reply-To: <334471577609b28e255decc46d0cd7f5@HIDDEN>

--86zC3o7YOgqLMmRm0jkzpJnBvgZ5VgqXH
Content-Type: text/plain; charset=utf-8
Content-Language: pt-BR
Content-Transfer-Encoding: quoted-printable

Em 06/01/2019 08:31, swedebugia@HIDDEN escreveu:
> After installing Icecat on guixsd v0.16 and starting it it shows only
> squares instead of text and pango warns "missing font nimbus ..."

This behavior seems similar to what I experience while using Guix in
Trisquel 8.0
Flidas. The problem doesn't cause squares to appear, it actually causes
the last text font that fontconfig advertises to IceCat, to be selected.

I don't know how fontconfig selects these fonts, but I noticed that you
can test this by placing some font in "~/.local/share/fonts" and running
`fc-cache -vf'. IceCat should pick that font. You might need to try with
different fonts, as IceCat seems to expect from fontconfig that it
selects fonts with specific properties.



--86zC3o7YOgqLMmRm0jkzpJnBvgZ5VgqXH--

--3N3O4qDmmkUuan3sgG7ySoM1iyr5lBTGx
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iF4EAREIAAYFAlwyRkEACgkQyNbhUgHunaEfLwD/T0Fx3AM3gp3NyJmkpF24+eoj
JmBWJr+lgz/rUMQ55Q4BAMwH+tAIT3C47xTPkMmwFFYSsaQOwoHkS+7W8T+olpWb
=9OFW
-----END PGP SIGNATURE-----

--3N3O4qDmmkUuan3sgG7ySoM1iyr5lBTGx--




Information forwarded to bug-guix@HIDDEN:
bug#33996; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jan 2019 10:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 05:31:40 2019
Received: from localhost ([127.0.0.1]:48241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gg5iW-0005O3-IE
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 05:31:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gg5iV-0005Nu-2k
 for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 05:31:39 -0500
Received: from [209.51.188.17] (port=57711 helo=lists.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gg5iU-0005LQ-LX
 for submit <at> debbugs.gnu.org; Sun, 06 Jan 2019 05:31:38 -0500
Received: from eggsout.gnu.org ([209.51.188.92]:44109 helo=eggs.gnu.org)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gg5iS-0001un-GZ
 for bug-guix@HIDDEN; Sun, 06 Jan 2019 05:31:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gg5iP-00050a-Bn
 for bug-guix@HIDDEN; Sun, 06 Jan 2019 05:31:36 -0500
Received: from mx1.riseup.net ([198.252.153.129]:44498)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gg5iM-0003Tc-DO
 for bug-guix@HIDDEN; Sun, 06 Jan 2019 05:31:33 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 884A91A0181
 for <bug-guix@HIDDEN>; Sun,  6 Jan 2019 02:31:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1546770672; bh=qbxHUEkkF2MDJPq1j+lFIiVCK/81eVY7xYnyIitVaYI=;
 h=Date:From:To:Subject:From;
 b=BZYPmFnRPWha/eLrKHBW/oYkCDxhEGYLAUEUOJLDcq9996cwK3TruSwmKXRTqkFJr
 NWhq+Fncs02ZdB+3iCSKTY8kjL+4Eocc4Xs+/4H2IDNb+zrY+sRl5sq95/DzmFUQto
 HnCya2vgBXAEFCEfMesrH4OPGiTsmicFH7TD+sng=
X-Riseup-User-ID: 90CAA318011EB94840FCC822EA732FA92A1BD4A388E4972579D9FEAF8063237F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id D6D731C1824
 for <bug-guix@HIDDEN>; Sun,  6 Jan 2019 02:31:11 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Sun, 06 Jan 2019 02:31:11 -0800
From: swedebugia@HIDDEN
To: bug-guix@HIDDEN
Subject: Icecat is missing fonts
Message-ID: <334471577609b28e255decc46d0cd7f5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Hi

After installing Icecat on guixsd v0.16 and starting it it shows only
squares instead of text and pango warns "missing font nimbus ..."

I think we should add font-gnu-freefont-ttf to the input of icecat to
fix this to make it work out of the box.

If on a foreign distribution guix should of course also notice if the
correct XDG-env variables are missing when installing icecat and hint.

-- 
Cheers 
Swedebugia




Acknowledgement sent to swedebugia@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33996; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 Feb 2019 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.